org.hibernate.validator.internal.xml

## Class ConstraintDefinitionType

- java.lang.Object
- - org.hibernate.validator.internal.xml.ConstraintDefinitionType

-     public class ConstraintDefinitionType
      extends Object

  Java class for constraint-definitionType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="constraint-definitionType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="validated-by" type="{http://jboss.org/xml/ns/javax/validation/mapping}validated-byType"/>
             </sequence>
             <attribute name="annotation" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `annotation`
    `protected ValidatedByType` | `validatedBy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstraintDefinitionType()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnnotation()` Gets the value of the annotation property.
    `ValidatedByType` | `getValidatedBy()` Gets the value of the validatedBy property.
    `void` | `setAnnotation(String value)` Sets the value of the annotation property.
    `void` | `setValidatedBy(ValidatedByType value)` Sets the value of the validatedBy property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### validatedBy

          protected ValidatedByType validatedBy

    - #### annotation

          protected String annotation

  - ### Constructor Detail

    - #### ConstraintDefinitionType

          public ConstraintDefinitionType()

  - ### Method Detail

    - #### getValidatedBy

          public ValidatedByType getValidatedBy()

      Gets the value of the validatedBy property.
      Returns:
        possible object is `ValidatedByType`

    - #### setValidatedBy

          public void setValidatedBy(ValidatedByType value)

      Sets the value of the validatedBy property.
      Parameters:
        `value` - allowed object is `ValidatedByType`

    - #### getAnnotation

          public String getAnnotation()

      Gets the value of the annotation property.
      Returns:
        possible object is `String`

    - #### setAnnotation

          public void setAnnotation(String value)

      Sets the value of the annotation property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved